summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--games/berusky/README4
-rw-r--r--games/berusky/berusky.SlackBuild103
-rw-r--r--games/berusky/berusky.desktop10
-rw-r--r--games/berusky/berusky.info10
-rw-r--r--games/berusky/berusky.pngbin0 -> 1598 bytes
-rw-r--r--games/berusky/doinst.sh3
-rw-r--r--games/berusky/slack-desc19
7 files changed, 149 insertions, 0 deletions
diff --git a/games/berusky/README b/games/berusky/README
new file mode 100644
index 0000000000..3d91ff91ae
--- /dev/null
+++ b/games/berusky/README
@@ -0,0 +1,4 @@
+Berusky is a 2D logic game based on an ancient puzzle named Sokoban,
+expanded with new logic items such as explosives, stones, special gates
+and so on. In addition, up to five bugs can cooperate and be controlled
+by the player.
diff --git a/games/berusky/berusky.SlackBuild b/games/berusky/berusky.SlackBuild
new file mode 100644
index 0000000000..8251dfb2f3
--- /dev/null
+++ b/games/berusky/berusky.SlackBuild
@@ -0,0 +1,103 @@
+#!/bin/sh
+
+# Slackware build script for berusky
+
+# Copyright 2014 Dimitris Zlatanidis Greece-Orestiada
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=berusky
+VERSION=${VERSION:-1.7}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+sed -i 's/var\/games/usr\/share/' src/defines.h
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/share/applications
+install -D -m644 $CWD/$PRGNAM.desktop $PKG/usr/share/applications/$PRGNAM.desktop
+
+mkdir -p $PKG/usr/share/pixmaps/
+install -D -m644 $CWD/$PRGNAM.png $PKG/usr/share/pixmaps/$PRGNAM.svg
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING ChangeLog README TODO $PKG/usr/doc/$PRGNAM-$VERSION
+rm -rf $PKG/usr/doc/$PRGNAM
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/berusky/berusky.desktop b/games/berusky/berusky.desktop
new file mode 100644
index 0000000000..af1215b6f2
--- /dev/null
+++ b/games/berusky/berusky.desktop
@@ -0,0 +1,10 @@
+[Desktop Entry]
+Name= Berusky
+Name[he]= Berusky
+Comment= Rescue the bugs!
+Exec=berusky
+Icon=berusky
+Terminal=false
+Type=Application
+Categories=Game;Puzzle;LogicGame;
+GenericName=Game
diff --git a/games/berusky/berusky.info b/games/berusky/berusky.info
new file mode 100644
index 0000000000..51688931ab
--- /dev/null
+++ b/games/berusky/berusky.info
@@ -0,0 +1,10 @@
+PRGNAM="berusky"
+VERSION="1.7"
+HOMEPAGE="http://anakreon.cz/?q=node/1"
+DOWNLOAD="http://downloads.sourceforge.net/project/berusky/berusky/1.7/berusky-1.7.tar.gz"
+MD5SUM="e76626588228b8d320772ea5c173579d"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="berusky-data"
+MAINTAINER="Dimitris Zlatanidis"
+EMAIL="d.zlatanidis@gmail.com"
diff --git a/games/berusky/berusky.png b/games/berusky/berusky.png
new file mode 100644
index 0000000000..3f968fa398
--- /dev/null
+++ b/games/berusky/berusky.png
Binary files differ
diff --git a/games/berusky/doinst.sh b/games/berusky/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/games/berusky/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/games/berusky/slack-desc b/games/berusky/slack-desc
new file mode 100644
index 0000000000..3a18ae5595
--- /dev/null
+++ b/games/berusky/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+berusky: berusky (2D logic game)
+berusky:
+berusky: Berusky is a 2D logic game based on an ancient puzzle named Sokoban,
+berusky: expanded with new logic items such as explosives, stones, special
+berusky: gates and so on. In addition, up to five bugs can cooperate and be
+berusky: controlled by the player.
+berusky:
+berusky: Homepage: http://anakreon.cz/?q=node/1
+berusky:
+berusky:
+berusky: